View Issue Details

IDProjectCategoryView StatusLast Update
15929Bug reportsPluginspublic2020-08-19 10:06
ReporterMazi Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status resolvedResolutionfixed 
Product Version4.1.7 
Summary15929: Missing button to scan files at plugin overview at LS4
Description

When scanning files at the plugin manager you are presented a list of plugins found. But that screen is missing the button to scan for newly uploaded files again. You have to go back to the previous page first which is bad UI design and not really intuitive. One would assume to be able to re-scan by clicking a button at the current overview page.

Steps To Reproduce

Scan for new plugins.
Check overview of plugins found -> button to re-scan is missing.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.7+200224
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 18
Webserver software & version (if known)Apache 2
PHP Version7.2.26

Activities

ollehar

ollehar

2020-03-02 10:41

administrator   ~56265

Does it work to reload the page?

Mazi

Mazi

2020-03-02 10:48

partner   ~56266

Last edited: 2020-08-19 10:06

Yes, reloading the page does a re-scan.

ollehar

ollehar

2020-03-02 11:02

administrator   ~56267

Last edited: 2020-08-19 10:06

OK, so easy fix: Add button that reloads the page. :)

cdorin

cdorin

2020-03-30 22:27

manager   ~56844

Last edited: 2020-08-19 10:06

has this been implemented already?

gabrieljenik

gabrieljenik

2020-08-05 00:20

developer   ~59311

Last edited: 2020-08-19 10:06

View 2 revisions

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1536

user225042

2020-08-11 14:07

  ~59406

Last edited: 2020-08-19 10:06

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1:Before PR, Scan files button is not displayed on clicking on Scan files on Plugin Manager screen
Screenshot 2:After PR, Scan files button is displayed on clicking on Scan files on Plugin Manager screen
Please refer the attachment for more details, Working as Expected

gabrieljenik

gabrieljenik

2020-08-14 15:32

developer   ~59460

Last edited: 2020-08-19 10:06

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30378

lime_release_bot

lime_release_bot

2020-08-17 14:05

administrator   ~59476

Last edited: 2020-08-19 10:06

Fixed in Release 4.3.11+200817

Related Changesets

LimeSurvey: master dd225176

2020-08-14 15:31:57

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15929: Missing button to scan files at plugin overview at LS4 (#1536) Affected Issues
15929
mod - application/controllers/admin/PluginManagerController.php Diff File
mod - application/views/admin/pluginmanager/scanFilesResult.php Diff File

Issue History

Date Modified Username Field Change
2020-02-28 08:43 Mazi New Issue
2020-02-28 08:43 Mazi Summary Missing button to scan files at plugin overview => Missing button to scan files at plugin overview at LS4
2020-03-02 10:41 ollehar Note Added: 56265
2020-03-02 10:48 Mazi Note Added: 56266
2020-03-02 11:02 ollehar Note Added: 56267
2020-03-02 11:03 ollehar Priority none => normal
2020-03-02 11:03 ollehar Assigned To => ollehar
2020-03-02 11:03 ollehar Status new => confirmed
2020-03-02 11:29 ollehar Assigned To ollehar =>
2020-03-30 22:27 cdorin Note Added: 56844
2020-07-29 22:32 cdorin Zoho Sprints => |Yes|
2020-07-29 22:32 swendrich Zoho Sprints ID => 14469000000201037
2020-08-05 00:20 gabrieljenik Note Added: 59311
2020-08-05 00:23 gabrieljenik Note Edited: 59311 View Revisions
2020-08-11 14:07 user225042 Note Added: 59406
2020-08-11 14:07 user225042 File Added: 15929_ScanFiles_Button_PluginManager.png
2020-08-14 15:32 gabrieljenik Changeset attached => LimeSurvey master dd225176
2020-08-14 15:32 gabrieljenik Note Added: 59460
2020-08-14 15:32 gabrieljenik Assigned To => gabrieljenik
2020-08-14 15:32 gabrieljenik Resolution open => fixed
2020-08-17 14:05 lime_release_bot Zoho Sprints Yes => |Yes|
2020-08-17 14:05 lime_release_bot Note Added: 59476
2020-08-17 14:05 lime_release_bot Status confirmed => closed
2020-08-19 10:06 swendrich Zoho Sprints Yes => |Yes|
2020-08-19 10:06 swendrich Status closed => resolved